%Release of Gaberson Software.  Disclaimer: this program is furnished by 
%Howie Gaberson and is accepted and used by the recipient with the express 
%understanding that Howie makes no warranty, expressed or implied, 
%concerning the accuracy, completeness, reliability, usability, or 
%suitability for any particular purpose of the information and data contained 
%in this program or furnished in connection therewith, and Howie shall be 
%under no liability whatsoever to any person by reason of any use made 
%thereof.  The program belongs to Howie. Therefore, the recipient 
%further agrees not to assert any proprietary rights therein or to represent 
%this program to anyone as other than a program Howie wrote.

%hafsinDV.m  You set duration td, and delta-v; this determines peak g
%Generates a drop table half sine digitizing the 1 g fall, and a rebound
%with a  coeficient of rest e.  Generates and accel file YYDD in g.
%Values for td, fs, delxd, e, are edited into here.
fs=50000; %***you edit
delxd=90; %use inches per second***you edit
e=0;%***you edit
G=386.087;
td=.002;%***you edit
xddmax=delxd*pi/2/td/G;
n=fix(fs*td);
tt=(1:n)/fs;
xdd=xddmax*sin(pi*tt/td);
vf=delxd/(1+e);vr=delxd-vf;
tf=vf/G;nf=fix(fs*tf);
tr=vr/G;nr=fix(fs*tr);
ttf=(1:nf)/fs;
ttr=(1:nr)/fs;
YYDD=[-ones(1,nf) xdd -ones(1,nr)];
%make a time variable tplot for plotting
tplot=(1:length(YYDD))/fs;

