%Release of Gaberson Software.  Disclaimer: this program is furnished by 
%Howie Gaberson and is accepted and used by the recipient with the express 
%understanding that Howie makes no warranty, expressed or implied, 
%concerning the accuracy, completeness, reliability, usability, or 
%suitability for any particular purpose of the information and data contained 
%in this program or furnished in connection therewith, and Howie shall be 
%under no liability whatsoever to any person by reason of any use made 
%thereof.  The program belongs to Howie. Therefore, the recipient 
%further agrees not to assert any proprietary rights therein or to represent 
%this program to anyone as other than a program Howie wrote.

%hafsinGV.m  You set max g level, and, delta-v, this determine duration, td. 
%Generates a drop table half sine digitizing the 1 g fall, and a rebound 
%with a coeficient of rest, e.  Generates the accel file YYDD in g's
%Values for xddmax, fs, delxd, e, are edited into here.
fs=50000; %****you edit
delxd=100;%****you edit
xddmax=200;%****you edit 
G=386.087;
e=0;% **** you edit
td=pi*delxd/2/xddmax/G;
n=fix(fs*td);%sets number of samples in halfsine. Fix rounds toward zero
tt=(1:n)/fs;
xdd=xddmax*sin(pi*tt/td);
vf=delxd/(1+e);vr=delxd-vf;
tf=vf/G;nf=fix(fs*tf);
tr=vr/G;nr=fix(fs*tr);
ttf=(1:nf)/fs;
ttr=(1:nr)/fs;
YYDD=[-ones(1,nf) xdd -ones(1,nr)];

