%General Purpose Digital LPF Utility
clear data Data_f Wn Fs Ftype Ans Order Cut
clear A B R Rs Rp Ans Phase_Cor
Data=input ('Input Time Domain Data Filename> ');
Fs=input('Input Sample Frequency of Time Domain Data> ');
Cut=input('Input LPF Cutoff Frequency> ');
Order=input('Input filter Order> ');

Ftype=input('\n 1=Butterworth \n 2=Chebyshev Tpye I \n 3=Chebyshev Type II \n 4=Eliptical \n 5=Bessel \n Input Filter Type> ');
Phase_Cor=input('\n 1=Filter Function \n 2=FiltFilt Function (Phase Shift Correction) \n Input Phase Shift Correction Option > ');
%make filter coefficients

if Ftype==1
   Wn=Cut/(Fs/2);
   [B,A]=butter(Order,Wn);
elseif Ftype==2
   Wn=Cut/(Fs/2);
   R=input ('Level of Ripple in PASSBAND in dB (Try .5 if Uncertain) > ');
   [B,A] = CHEBY1(Order,R,Wn);
elseif Ftype==3
   Wst=Cut/(Fs/2);
   R=input ('Level of Ripple in STOPBAND in dB down (Try .5 if Uncertain) > ');
   [B,A] = CHEBY2(Order,R,Wst);
elseif Ftype==4
   Wn=Cut/(Fs/2);
   Rp=input ('Level of Ripple in PASSBAND in dB (Try .5 if Uncertain) > ');
   Rs=input ('Level of Ripple in STOPBAND in dB down (Try 20 if Uncertain) > ');
   [B,A] = ELLIP(Order,Rp,Rs,Wn);
elseif Ftype==5
   Wo=2*pi*Cut;
   [b,a]=besself(Order,Wo); % These are s-domain coefficients
   [B,A] = bilinear(b,a,Fs);
else
end

%filter data
if Phase_Cor == 1
   Data_f=filter(B,A,Data);
else
   Data_f=filtfilt(B,A,Data);
end

%plot filtered data
Ans=input('Do You Wish to Plot the Filtered Data  (y or n)> ','s');
if Ans =='y'
   Sd=max(size(Data_f));
   Time=1/Fs:1/Fs:Sd/Fs;
   plot (Time,Data,'b',Time,Data_f,'r')
   xlabel ('Time (sec)')
   ylabel ('EU')
   title ('Original Data "blue" .vs. Filtered Data "red"')
end




